Get metadata for latest uninstall tokens

Base URL
https://{kibana_url}
  • GET /api/fleet/uninstall_tokens
Auth

List the metadata for the latest uninstall tokens per agent policy.

Required authorization

Privileges fleet-agents-all

Query parameters

policyId string · max length: 50

Partial match filtering for policy IDs

Partial match filtering for uninstall token values

perPage number · min: 5

The number of items to return

page number · min: 1

Page number

Responses

Successful response

application/json
items object[] · max items: 10000 required
created_at string required
id string required
namespaces string[] · max items: 100
policy_id string required
policy_name string nullable
page number required
perPage number required
total number required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}